RGroupUtils.h File Reference
`#include <GraphMol/RDKitBase.h>`
`#include "RGroupDecomp.h"`
`#include <map>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.

## Enumerations

enum class | RDKit::Labelling { RDKit::RGROUP_LABELS , RDKit::ISOTOPE_LABELS , RDKit::ATOMMAP_LABELS , RDKit::INDEX_LABELS , RDKit::DUMMY_LABELS , RDKit::INTERNAL_LABELS }

## Functions

std::string | RDKit::labellingToString (Labelling type)
| return the user friendly name for the given labelling More...
std::map< int, Atom * > | RDKit::getRlabels (const RWMol &mol)
| Get the RLabels,atom mapping for the current molecule. More...
void | RDKit::clearInputLabels (Atom *atom)
| Remove the user labels from the atom. More...
bool | RDKit::setLabel (Atom *atom, int label, std::set< int > &labels, int &maxLabel, bool relabel, Labelling type)
bool | RDKit::hasDummy (const RWMol &core)
| Returns true if the core has a dummy atom. More...
bool | RDKit::isAtomWithMultipleNeighborsOrNotUserRLabel (const Atom &atom)
bool | RDKit::isUserRLabel (const Atom &atom)
| Return true if the atom has a user-defined R group label. More...
bool | RDKit::isAnyAtomWithMultipleNeighborsOrNotUserRLabel (const Atom &atom)
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupRow &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupRows &rgr, const std::string &prefix="")
RDKIT_RGROUPDECOMPOSITION_EXPORT std::string | RDKit::toJSON (const RGroupColumn &rgr, const std::string &prefix="")

## Variables

RDKIT_RGROUPDECOMPOSITION_EXPORT const std::string | RDKit::RLABEL
const std::string | RDKit::RLABEL_TYPE
const std::string | RDKit::RLABEL_CORE_INDEX
const std::string | RDKit::SIDECHAIN_RLABELS
const std::string | RDKit::done
const unsigned int | RDKit::EMPTY_CORE_LABEL = -100000